<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:36 CEST 2019 -->
<title>WinFbClientLibrary.IscEventStdCallback (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="WinFbClientLibrary.IscEventStdCallback (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jna/fbclient/WinFbClientLibrary.FbShutdownStdCallback.html" title="interface in org.firebirdsql.jna.fbclient"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/jna/fbclient/XSQLDA.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jna/fbclient/WinFbClientLibrary.IscEventStdCallback.html" target="_top">Frames</a></li>
<li><a href="WinFbClientLibrary.IscEventStdCallback.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jna.fbclient</div>
<h2 title="Interface WinFbClientLibrary.IscEventStdCallback" class="title">Interface WinFbClientLibrary.IscEventStdCallback</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>com.sun.jna.AltCallingConvention, com.sun.jna.Callback, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.IscEventCallback.html" title="interface in org.firebirdsql.jna.fbclient">FbClientLibrary.IscEventCallback</a>, com.sun.jna.win32.StdCall, com.sun.jna.win32.StdCallLibrary.StdCallCallback</dd>
</dl>
<dl>
<dt>Enclosing interface:</dt>
<dd><a href="../../../../org/firebirdsql/jna/fbclient/WinFbClientLibrary.html" title="interface in org.firebirdsql.jna.fbclient">WinFbClientLibrary</a></dd>
</dl>
<hr>
<br>
<pre>public static interface <span class="typeNameLabel">WinFbClientLibrary.IscEventStdCallback</span>
extends <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.IscEventCallback.html" title="interface in org.firebirdsql.jna.fbclient">FbClientLibrary.IscEventCallback</a>, com.sun.jna.win32.StdCallLibrary.StdCallCallback</pre>
<div class="block">IscEvent Callback following the StdCall conventions
 <p>
 <i>native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h</i>
 </p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.com.sun.jna.Callback">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;com.sun.jna.Callback</h3>
<code>com.sun.jna.Callback.UncaughtExceptionHandler</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.sun.jna.Callback">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;com.sun.jna.Callback</h3>
<code>FORBIDDEN_NAMES, METHOD_NAME</code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.jna.fbclient.FbClientLibrary.IscEventCallback">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.IscEventCallback.html" title="interface in org.firebirdsql.jna.fbclient">FbClientLibrary.IscEventCallback</a></h3>
<code><a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.IscEventCallback.html#apply-com.sun.jna.Pointer-short-com.sun.jna.Pointer-">apply</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jna/fbclient/WinFbClientLibrary.FbShutdownStdCallback.html" title="interface in org.firebirdsql.jna.fbclient"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/jna/fbclient/XSQLDA.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jna/fbclient/WinFbClientLibrary.IscEventStdCallback.html" target="_top">Frames</a></li>
<li><a href="WinFbClientLibrary.IscEventStdCallback.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
